extends Node2D


var velocity = Vector2.ZERO
const MOVE_SPEED = 140
const GRAVITY = 1200
const JUMP_HEIGHT = 300
const UP_DIRECTION = Vector2.UP


func _input(event):
	if event.is_action_pressed("ui_cancel"):
		OS.window_fullscreen = ! OS.window_fullscreen
		OS.center_window()


func _physics_process(delta):
	var x_input = Input.get_action_strength("ui_right") - Input.get_action_strength("ui_left")
	velocity.x = x_input
	
	transform.origin += velocity * 0.33
